#include<stdio.h>
#include<cmath>
#include<iostream>
using namespace std;
main()
{
    int h,w,i,j;
    char ch;
    cin>>h>>w;
    for(i=0;i<h;i++)
        {for(j=0;j<w;j++)
        cin>>ch;}
    cout<<-1;
}